using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("信息表")]
    /// <summary>
    /// 信息表（工作台）
    /// </summary>
    [Redis("ID")]
    [IgnoreT4]public class T_FM_INFO : MesEntityBase
    {

        [Description("名称")]

        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        [Description("信息")]

        public string INFO { get; set; }
        /// <summary>
        ///API信息; 多个用逗号分隔
        /// </summary>

        [Description("API信息")]

        public string API { get; set; }
        /// <summary>
        /// 多个用逗号分隔，如Keyword:1234;Paramter1:1123,Keyword:{user};Paramter2:{date}
        /// </summary>

        [Description("参数")]

        public string PARAMS { get; set; }

    }
}
